//
//  AdObserver.m
//  xAdBannerDemo
//
//  Created by Stephen Anderson on 5/16/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "AdObserver.h"
#import <CoreLocation/CoreLocation.h>

#import "xAdSdk.h"


@implementation AdObserver

- (id)init
{
    self = [super init];
    
    if (self) {
        NSNotificationCenter *nc = [NSNotificationCenter defaultCenter];
        
        [nc addObserver:self
               selector: @selector(onSDKError:)
                   name: xAdEventSDKError
                 object: nil];

        [nc addObserver:self
               selector: @selector(onDisplayAdFilled:)
                   name: xAdEventDisplayAdFilled
                 object: nil];

        [nc addObserver:self
               selector: @selector(onDisplayAdClicked:)
                   name: xAdEventDisplayAdClicked
                 object: nil];
        
        [nc addObserver: self
               selector: @selector(onSecondaryAction:)
                   name: xAdEventDisplayAdSecondary
                 object: nil];

        [nc addObserver:self
               selector: @selector(onSearchAdDelivered:)
                   name: xAdEventSearchCompleted
                 object: nil];

        [nc addObserver:self
               selector: @selector(onLocationAquired:)
                   name: xAdEventLocationChanged
                 object: nil];
        
        [nc addObserver:self
               selector: @selector(onDisplayAdNoFill:)
                   name: xAdEventDisplayAdNoFill
                 object: nil];

    }
    
    return self;
}



-(void)dealloc {
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}



- (void) onSDKError:(NSNotification*)notification {
    
    if (!notification.object) {
        return;
    }

    NSError *error = notification.object;

	NSLog(@"AdObserver::onSDKError: %@", error.localizedDescription);

    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Error" message:error.localizedDescription delegate:nil cancelButtonTitle:@"Close" otherButtonTitles: nil];
    
    [alert show];
}



- (void) onDisplayAdFilled:(NSNotification*)notification {
	NSLog(@"AdObserver::onDisplayAdFilled called!");
}


- (void) onDisplayAdClicked:(NSNotification*)notification {
	NSLog(@"AdObserver::onDisplayAdClicked called!");
}


- (void) onSearchAdDelivered:(NSNotification*)notification {
	NSLog(@"AdObserver::onSearchAdDelivered called!");
}

- (void) onSecondaryAction:(NSNotification*)notification {
    
    if (!notification.object) {
        return;
    }

    NSString *action = (NSString*) notification.object;

	NSLog(@"AdObserver::onSecondaryAction '%@' called!", action);
}



- (void) onLocationAquired:(NSNotification*)notification {
	NSLog(@"AdObserver::onLocationAquired called!");
}



- (void) onDisplayAdNoFill:(NSNotification*)notification {
	NSLog(@"onDisplayAdNoFill called!");
    NSLog(@"NO Fill!!!");
}








@end
