//
//  ViewController.m
//  DemoApp
//
//  Created by Stephen Anderson on 8/27/13.
//  Copyright (c) 2013 Product & Technology. All rights reserved.
//

#import "ViewController.h"

#import "xAdSdk.h"
#import "xAdInlineBannerView.h"

#import "xAdLocalSearchRequest.h"
#import "xAdLocalSearchResults.h"

#import "SearchViewController.h"

#import "ApplicationController.h"
#import "SearchButton.h"


@interface ViewController ()
@property (strong, nonatomic) xAdInlineBannerView *adBannerView;
@end


@implementation ViewController
@synthesize adBannerView;


- (void)viewDidLoad
{
    [super viewDidLoad];
    self.title = @"xAd SDK Boilerplate";
	// Do any additional setup after loading the view, typically from a nib.
    
    if (adBannerView == nil)
	{
        // The 80 is the offset from the top of the view. 
        self.adBannerView = [xAdInlineBannerView createView: self
                                                       size: BannerSize320x50
                                                  placement: CGPointMake(0, 80)];

        // You can choose to add it in a ad view container.
        [self.view addSubview: self.adBannerView];
    }
}





- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)onGetBannerTapped:(id)sender {
    
    //
    // Make sure the traffic source is agreed upon with xAd. It affects reporting.
    //

    NSDictionary *params = @{
                             xAdParameterPublisherTrafficSource:@"DemoAppDisplay320x50",
                             xAdParameterAdFormat: @"html5",
                             xAdParameterUserAge: @"37",
                             xAdParameterAdCategory:@"IAB1,IAB1-2",
                             xAdParameterGeoCityState:@"San Diego, CA",
                             xAdParameterUserGender: @"m" };

    [adBannerView requestAd:params];
}


- (IBAction)onSearchCategoryTapped:(id)sender {

    SearchButton *button = (SearchButton*)sender;
    
    NSLog(@"ViewController::onSearchCategoryTapped");

    [ApplicationController startNewSearch:button.term delegate:self];
}


- (void) onSearchAdDelivered:(xAdLocalSearchResults*) results {
    
    NSLog(@"ViewController::onSearchAdDelivered");
    
    [self performSegueWithIdentifier:@"openSearchResults" sender:self];
}



@end
