//
//  xAdLocalSearchRequest.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "xAdRequest.h"
#import <CoreLocation/CoreLocation.h>


typedef enum  {
    SortTypeRelevance, 
    SortTypeDistance, 
    SortTypeAlphabetically, 
    SortTypeReview
    
} SortType;


typedef enum  {
    GenderMale,
    GenderFemale
    
} Gender;


@interface xAdLocalSearchRequest : xAdRequest

- (void) setSearchQuery:(NSString*)query;

- (void) setTrafficSource:(NSString*)trafficSource;
- (void) setLocation:(CLLocation*)location;
- (void) setStreetNumber:(NSString*)number andStreet:(NSString*)street;

- (void) setCityStateOrZip:(NSString*)cityState;
- (void) setCityStateOrZip:(NSString*)cityState andCountry:(NSString*)country;

- (void) setRadius:(NSUInteger)radius;
- (void) setRequestId:(NSString*)requestId;

- (void) setUserGender:(Gender)gender;
- (void) setUserAge:(NSUInteger)age;


// Use only if interested in organic results
- (void) enableOrganicListings;
- (void) setNumberOfOrganicResults:(NSUInteger)count;
- (void) setSort:(SortType)sortType;
- (void) setStartIndex:(NSUInteger)startIndex;


@end
