//
//  xAdRequest.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "DictionaryObject.h"
#import "xAdResponse.h"


typedef enum
{ 
    RequestTypeUnknown, 
    RequestTypeLocalSearch,
    RequestTypeNotification,

} xAdRequestType;




@interface xAdRequest : NSObject

@property (nonatomic, strong) NSMutableDictionary *fields;


// Abstract: The rest command portion of the URL to the xAd Servers.
- (NSString*) RESTCommand;


// Abstract: The request type
- (xAdRequestType) requestType;


// Abstract: The Notification Center Event name when issued when the request completes.
- (NSString*) notificationEventName;


// Abstract: Force subclasses to convert the JSON into the correct class.
// Each request class knowns its corresponding response class.
- (xAdResponse*) createResponseFromJson:(NSData*) jsonData;


// Executes the request in the background using GCD.
- (void) execute;


@end
