//
//  xAdListing.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "DictionaryObject.h"
#import "xAdNotificationRequest.h"
#import "xAdLocation.h"

typedef enum 
{
    ListingTypeOrganic,
    ListingTypeSponsored
} ListingType;

typedef enum 
{
    ActionTypeNone, // for non-sponsored listings
    ActionTypeClick,
    ActionTypeUrl
} ActionType;


@interface xAdListing : DictionaryObject

- (id) initWithFields:(NSDictionary*)fields withType:(ListingType)type;

@property (nonatomic, readonly) ListingType type;

@property (nonatomic, readonly) NSArray* urlObjects;

// Listing Id
@property (nonatomic, readonly) NSString* listingID;

// The actual business phone number
@property (nonatomic, readonly) NSString* sourcePhone;

// Call tracking number
@property (nonatomic, readonly) NSString* phone;

// Formatted phone number
@property (nonatomic, readonly) NSString* formattedPhone;

@property (nonatomic, readonly) NSString* name;
@property (nonatomic, readonly) NSString* shortDescription;
@property (nonatomic, readonly) NSString* fullDescription;
@property (nonatomic, readonly) NSDictionary* moreInfo;

@property (nonatomic, readonly) NSURL* attributionClickLink;
@property (nonatomic, readonly) NSURL* attributionImageLink;

@property (nonatomic, readonly) xAdLocation *location;

@property (nonatomic, readonly) NSString* dataSource;
@property (nonatomic, readonly) NSString* dataSourceId;

@property (nonatomic, readonly) NSUInteger reviewCount;
@property (nonatomic, readonly) NSArray* categories;
@property (nonatomic, readonly) NSArray* reviews;

@property (nonatomic, readonly) BOOL hasRating;
@property (nonatomic, readonly) NSInteger rating;

@property (nonatomic, readonly) BOOL hasHours;
@property (nonatomic, readonly) NSString* hours;

@property (nonatomic, readonly) NSArray* paymentTypes;

@property (nonatomic, readonly) id actionUrl;
@property (nonatomic, readonly) ActionType actionType;

@property (nonatomic, readonly) id attribution;


- (void) sendClickNotification;
- (void) sendNotification:(NotificationType)type;

- (id) urlOfType:(NSString*)filter;

- (BOOL) hasPhoneNumber;






@end



