//
//  xAdLocalSearchResults.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "xAdResponse.h"
#import "xAdRequest.h"

@interface xAdLocalSearchResults : xAdResponse

#warning Make sure you send the impression notification before displaying the items on the screen.

- (void) sendImpressionNotifications;


// Allows you to determine whether the response contains any listings
@property (nonatomic, readonly) BOOL hasOrganicListings;
@property (nonatomic, readonly) BOOL hasSponsoredListings;

// Arrays or xAdListing for each corresponding category
@property (nonatomic, readonly) NSArray* organicListings;
@property (nonatomic, readonly) NSArray* sponsoredListings;

// Total number of available organic listings.
@property (nonatomic, readonly) NSUInteger organicsTotalCount;

// This is the count of the organic listings in the response.
@property (nonatomic, readonly) NSUInteger organicsCount;

// The start index of the first listing in the organic result set.
@property (nonatomic, readonly) NSUInteger organicsStartIndex;

// Helps determine if there is a next screen worth of organics available
@property (nonatomic, readonly) BOOL isNextAvailable;

// Helps determine if we are not back to the first page
@property (nonatomic, readonly) BOOL isPrevAvailable;


@property (nonatomic, readonly) NSString* detailDescription;


@property (nonatomic, readonly) NSString* sponsoredListingsAttribution;



@end