//
//  xAdResponse.m
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "xAdResponse.h"
#import "NSDictionaryExtension.h"
#import "xAdSdk.h"

@implementation xAdResponse
@synthesize results;


- (id) results
{
    return [self.fields dictionaryForKey:@"results"];
}


- (BOOL) isSuccess
{
    return ([self.results integerForKey:@"status"] == 0);
}


- (xAdResponseCode) responseCode
{
    return [self.results integerForKey:@"e_code"];
}


- (NSString*) errorDescription
{
    return [self.results stringForKey:@"e_desc"];
}


- (NSString*) uid
{
    return [self.results objectForKey:@"uid"];
}


- (NSString*) requestId
{
    return [self.results objectForKey:xAdParameterSearchRequestId];
}


- (NSError*) createError
{
    if (self.responseCode == xAdResponseSuccess) {
        return nil;
    }
    
    NSDictionary *userInfo = [NSDictionary dictionaryWithObjectsAndKeys:self.errorDescription, NSLocalizedDescriptionKey, nil];

    return [NSError errorWithDomain:@"xAdSDK" code:self.responseCode userInfo:userInfo];
}

@end


