//
//  DictionaryObject.m
//
//  Licensed by ruralcoder.com under the
//  Creative Commons Attribution-ShareAlike 3.0 Unported License 

#import "DictionaryObject.h"


@implementation DictionaryObject
@synthesize fields;


- (id) init
{
    self = [super init];
    
    if (self)
    {
        self.fields = [NSMutableDictionary dictionary];
    }
    
    return self;
}


- (id) initWithDictionary:(NSDictionary *)dictionary
{
    self = [super init];
    
    if (self)
    {
        self.fields = [NSMutableDictionary dictionaryWithDictionary:dictionary];
    }
    
    return self;
}


- (NSString*)description
{
    return [self.fields description];
}


-(id) copyWithZone: (NSZone *) zone {
    return [[DictionaryObject allocWithZone:zone] initWithDictionary:[self.fields copyWithZone:zone]];
}


@end

