//
//  JsonObject.m
//
//  Licensed by ruralcoder.com under the
//  Creative Commons Attribution-ShareAlike 3.0 Unported License 

#import "JsonObject.h"

@implementation JsonObject


- (id) init
{
    NSAssert(NO, @"Unsupported: Use initWithData instead");
    return nil;
}


- (id) initWithData:(NSData*)jsonData
{
    if (jsonData == nil || [jsonData length] == 0)
        return nil;
    
    NSAssert(jsonData != nil, @"Invalid argument for initWithJsonData jsonData == nil");
    NSAssert([jsonData length] > 0, @"Invalid argument for initWithJsonData jsonData has 0 bytes");

    NSError *jsonParsingError = nil;
    NSDictionary *fields = [NSJSONSerialization JSONObjectWithData:jsonData options:0 error:&jsonParsingError];

    if (fields == nil || jsonParsingError != nil)
    {
        if (jsonParsingError)
            NSLog(@"Error: %@", [jsonParsingError localizedDescription]);
        else
            NSLog(@"Error: failed to parse json data for unknown reason");
        
        return nil;
    }

    self = [super initWithDictionary:fields]; 
    
    return self;
}




@end
