//
//  xAdUtils.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface xAdUtils : NSObject

+ (id) applicationName;
+ (id) applicationVersion;

+ (id) userAgent;
+ (id) carrier;
+ (id) deviceIp;

+ (id) deviceOS;
+ (id) deviceType;
+ (id) deviceModel;
+ (id) deviceLanguage;
+ (id) deviceWifi;

+ (id) advertisingIdentifier;
+ (id) isDoNotTrackEnabled;


// Downlaod a internet resource asynchronously in the background using GCD.
// The notification center event is issued on the foreground thread.
+ (void) downloadResource:(NSURL*)url notificationName:(NSString*)notificationName;


// Converts a dictionary of key-per-values into a url string. Arrays supported
// by repeating the key-pair-value.
+ (NSString*) toURL:(NSDictionary*)args urlEncode:(BOOL)encode;


// Handles objects in the JSON structure where if multiple items it
// is an array of those objects, else its is not an array but a single object instead.
+ (NSArray*) objectsFromObject:(id)complexObject;


// Dials a phone number by first converting it into a tel schema url.
// It does NOT send the CALL notification
+ (void) dialPhonenumber:(id)phoneNumber;


@end
